%global realname emmap
%global upstream krestenkrab
%global git_tag 8725d46
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	0
Release:	0.1.git%{git_tag}%{?dist}
Summary:	Erlang mmap interface
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/krestenkrab/emmap
# wget --content-disposition https://github.com/krestenkrab/emmap/tarball/8725d46
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
# Sent upstream https://github.com/krestenkrab/emmap/pull/2
Patch1:		erlang-emmap-0001-No-MAP_NOCACHE-on-Linux.patch
# Fedora/EPEL-specific
Patch2:		erlang-emmap-0002-Skip-dependency-checking-in-Fedora-EPEL.patch
BuildRequires:	erlang-rebar
# Error:erlang(erlang:load_nif/2) in R12B and older
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
This Erlang library provides a wrapper that allows you to memory map files into
the Erlang memory space.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
%patch1 -p1 -b .linux
%patch2 -p1 -b .nodeps


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0755 priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit -v


%files
%doc LICENSE README.md doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Tue Nov 13 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.git8725d46
- Initial build
